---
api: 'Business API'
---

# Retrieve a list of failed webhook events

Get the list of all your failed webhook events, or use the query parameters to filter the results.

The events are sorted by the `created_at` date in reverse chronological order.

The returned failed events are **paginated**. 
The maximum number of events returned per page is specified by the `limit` parameter.
To get to the next page, make a new request and use the `created_at` date of the last event returned in the previous response.

For more information, see the guides: [About webhooks](/docs/guides/manage-accounts/webhooks/about-webhooks) and [Manage webhooks](/docs/guides/manage-accounts/webhooks/manage-webhooks#retrieve-a-list-of-failed-webhook-events).

## Endpoint

GET `/webhooks/{webhook_id}/failed-events`

## Parameters

### path parameters

- `webhook_id` (string, required)
  The ID of the webhook for which to get the failed events.

### query parameters

- `limit` (integer, optional)
  The maximum number of events returned per page.
  
  To get to the next page, make a new request and use the `created_at` date of the last event returned in the previous response as value for `created_before`.

- `created_before` (string, optional)
  Retrieves events with `created_at` < `created_before`. 
  Cannot be older than the current date minus 21 days. 
  The default value is the current date and time at which you are calling the endpoint.
  
  Provided in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

## Returns

### 200

The list of all your existing failed webhook events

#### Response attributes


## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad request |
| 404 | Webhook not found |
